Contents

Add Comment Notification

Adds notifications to the comment. Only the user who added the comment can add notifications.

Role

Permission

All permissions

Restriction

Add issue only
No restriction

Method

POST

URL

/api/v2/issues/:issueIdOrKey/comments/:commentId/notifications

URL parameters

Parameter NameTypeDescription
issueIdOrKeyStringIssue ID or Issue Key
commentIdNumberComment ID

Form parameters

Content-Type:application/x-www-form-urlencoded
Parameter NameTypeDescription
notifiedUserId[]
(Multiple)
NumberUserID

Response example

Status Line / Response Header

HTTP/1.1 200 OK
Content-Type:application/json;charset=utf-8

Response Body

{
    "id": 6586,
    "projectId": 5,
    "issueId": 50,
    "content": "This is a comment",
    "changeLog": null,
    "createdUser": {
        "id": 1,
        "userId": "admin",
        "name": "admin",
        "roleType": 1,
        "lang": "ja",
        "nulabAccount": {
            "nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
            "name": "admin",
            "uniqueId": "admin"
        },
        "mailAddress": "eguchi@nulab.example",
        "lastLoginTime": "2022-09-01T06:35:39Z"
    },
    "created": "2013-08-05T06:15:06Z",
    "updated": "2013-08-05T06:15:06Z",
    "stars": [],
    "notifications": [
        {
            "id":22,
            "alreadyRead":false,
            "reason":2,
            "user":{
                "id": 1,
                "userId": "admin",
                "name": "admin",
                "roleType": 1,
                "lang": "ja",
                "nulabAccount": {
                    "nulabId": "Prm9ZD9DQD5snNWcSYSwZiQoA9WFBUEa2ySznrSnSQRhdC2X8G",
                    "name": "admin",
                    "uniqueId": "admin"
                },
                "mailAddress": "eguchi@nulab.example",
                "lastLoginTime": "2022-09-01T06:35:39Z"
            },
        "resourceAlreadyRead":false
        },
        // ...
    ]
}

Response description

Parameter NameTypeDescription
reasonNumbernotification of reason
1:Assigned to Issue
2:Issue Commented
3:Issue Created
4:Issue Updated
5:File Added
6:Project User Added
9:Other
10:Assigned to Pull Request
11:Comment Added on Pull Request
12:Pull Request Added
13:Pull Request Updated